Subject: Re: [PATCH] git-compat-util: Avoid strcasecmp() being inlined

From: Jonathan Nieder <[email-masked]>
Date: Wed, 11 Sep 2013 11:29:21 -0700

Sebastian Schuberth wrote:

> This is necessary so that read_mailmap() can obtain a pointer to the
> function.

Hm, what platform has strcasecmp() as an inline function?  Is this
allowed by POSIX?  Even if it isn't, should we perhaps just work
around it by providing our own thin static function wrapper in
mailmap.c?

Curious,
Jonathan